Loading...
Searching...
No Matches
pqxx::const_reverse_result_iterator Class Reference

Reverse iterator for result. Use as result::const_reverse_iterator. More...

Inheritance diagram for pqxx::const_reverse_result_iterator:
[legend]
Collaboration diagram for pqxx::const_reverse_result_iterator:
[legend]

## Public Types

using | super = const_result_iterator
using | iterator_type = const_result_iterator
using | value_type = iterator_type::value_type
using | reference = iterator_type::reference
using | difference_type = result_difference_type
using | iterator_category = std::bidirectional_iterator_tag
using | pointer = row const *

## Public Member Functions

| const_reverse_result_iterator ()=default
| Create an iterator, but in an unusable state.
| const_reverse_result_iterator (const_reverse_result_iterator const &rhs)=default
| Copy an iterator.
| const_reverse_result_iterator (const_result_iterator const &rhs)
| Copy a reverse iterator from a regular iterator.
| const_reverse_result_iterator (const_result_iterator const &&rhs)
| Move a regular iterator into a reverse iterator.
PQXX_PURE const_result_iterator | base () const noexcept
| Return the underlying "regular" iterator (as per standard library).
Manipulations
const_reverse_result_iterator & | operator= (const_reverse_result_iterator const &r)
const_reverse_result_iterator & | operator= (const_reverse_result_iterator &&r)
const_reverse_result_iterator & | operator++ ()
const_reverse_result_iterator | operator++ (int) &
const_reverse_result_iterator & | operator-- ()
const_reverse_result_iterator | operator-- (int) &
const_reverse_result_iterator & | operator+= (difference_type i)
const_reverse_result_iterator & | operator-= (difference_type i)
void | swap (const_reverse_result_iterator &other) noexcept
Arithmetic operators
const_reverse_result_iterator | operator+ (difference_type i) const
const_reverse_result_iterator | operator- (difference_type i)
difference_type | operator- (const_reverse_result_iterator const &rhs) const
Comparisons
bool | operator== (const_reverse_result_iterator const &rhs) const noexcept
bool | operator!= (const_reverse_result_iterator const &rhs) const noexcept
bool | operator< (const_reverse_result_iterator const &rhs) const
bool | operator<= (const_reverse_result_iterator const &rhs) const
bool | operator> (const_reverse_result_iterator const &rhs) const
bool | operator>= (const_reverse_result_iterator const &rhs) const
Dereferencing operators
const_result_iterator | operator- (difference_type) const
| Dereference iterator.
difference_type | operator- (const_result_iterator const &) const
| Dereference iterator.
reference | operator* () const
| Dereference iterator.
Field access
reference | back () const noexcept
reference | front () const noexcept
reference | at (size_type) const
reference | at (zview col_name) const
constexpr result::size_type | rownumber () const noexcept
| Row number, assuming this is a real row and not end()/rend().

## Detailed Description

Reverse iterator for result. Use as result::const_reverse_iterator.

## Member Function Documentation

## at()

pqxx::field pqxx::row::at | ( | zview | col_name | ) | const

Address field by name.

Warning
  This is much slower than indexing by number, or iterating.

The documentation for this class was generated from the following files:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/result_iterator.hxx
- /build/libpqxx-dRO3di/libpqxx-7.10.0/src/result.cxx